import{s as Rl,n as Vl,o as Nl}from"../chunks/scheduler.0219f8bd.js";import{S as Jl,i as kl,g as a,s as i,r as p,A as Ol,h as o,f as l,c as s,j as _,u as f,x as d,k as r,y as Ul,a as n,v as m,d as v,t as u,w as c}from"../chunks/index.f61edf3b.js";import{C as al}from"../chunks/CodeBlock.38e566ae.js";import{H as h,E as Fl}from"../chunks/EditOnGithub.48fa589f.js";function Gl(ol){let $,we,Te,Se,A,xe,E,We,b,dl="Module used to configure Transformers.js.",ye,I,rl="<strong>Example:</strong> Disable remote models.",Be,L,He,T,pl="<strong>Example:</strong> Set local model path.",Me,C,Pe,w,fl="<strong>Example:</strong> Set cache directory.",je,S,ge,x,ml='<li><a href="#module_env">env</a><ul><li><em>static</em><ul><li><a href="#module_env.apis"><code>.apis</code></a></li> <li><a href="#module_env.env"><code>.env</code></a> : <code>TransformersEnvironment</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_env..IS_BROWSER_ENV"><code>~IS_BROWSER_ENV</code></a></li> <li><a href="#module_env..IS_WEBWORKER_ENV"><code>~IS_WEBWORKER_ENV</code></a></li> <li><a href="#module_env..IS_WEB_CACHE_AVAILABLE"><code>~IS_WEB_CACHE_AVAILABLE</code></a></li> <li><a href="#module_env..IS_WEBGPU_AVAILABLE"><code>~IS_WEBGPU_AVAILABLE</code></a></li> <li><a href="#module_env..IS_WEBNN_AVAILABLE"><code>~IS_WEBNN_AVAILABLE</code></a></li> <li><a href="#module_env..IS_PROCESS_AVAILABLE"><code>~IS_PROCESS_AVAILABLE</code></a></li> <li><a href="#module_env..IS_NODE_ENV"><code>~IS_NODE_ENV</code></a></li> <li><a href="#module_env..IS_FS_AVAILABLE"><code>~IS_FS_AVAILABLE</code></a></li> <li><a href="#module_env..IS_PATH_AVAILABLE"><code>~IS_PATH_AVAILABLE</code></a></li> <li><a href="#module_env..TransformersEnvironment"><code>~TransformersEnvironment</code></a> : <code>Object</code></li></ul></li></ul></li>',Re,Ve,Ne,W,Je,y,ke,B,vl="A read-only object containing information about the APIs available in the current environment.",Oe,H,ul='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a>',Ue,Fe,Ge,M,Ze,P,ze,j,cl='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a>',Ke,De,Ye,g,Qe,R,qe,V,_l="Whether we are running in a browser environment",Xe,N,hl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',et,tt,lt,J,nt,k,it,O,$l="Whether we are running in a web worker environment",st,U,Al='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',at,ot,dt,F,rt,G,pt,Z,El="Whether the Cache API is available",ft,z,bl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',mt,vt,ut,K,ct,D,_t,Y,Il="Whether the WebGPU API is available",ht,Q,Ll='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',$t,At,Et,q,bt,X,It,ee,Tl="Whether the WebNN API is available",Lt,te,Cl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Tt,Ct,wt,le,St,ne,xt,ie,wl="Whether the Node.js process API is available",Wt,se,Sl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',yt,Bt,Ht,ae,Mt,oe,Pt,de,xl="Whether we are running in a Node.js environment",jt,re,Wl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',gt,Rt,Vt,pe,Nt,fe,Jt,me,yl="Whether the filesystem API is available",kt,ve,Bl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Ot,Ut,Ft,ue,Gt,ce,Zt,_e,Hl="Whether the path API is available",zt,he,Ml='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Kt,Dt,Yt,$e,Qt,Ae,qt,Ee,Pl="Global variable given visible to users to control execution. This provides users a simple way to configure Transformers.js.",Xt,be,jl='<strong>Kind</strong>: inner typedef of <a href="#module_env"><code>env</code></a><br/> <strong>Properties</strong>',el,Ie,gl=`<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>version</td><td><code>string</code></td><td><p>This version of Transformers.js.</p></td> </tr><tr><td>backends</td><td><code>*</code></td><td><p>Expose environment variables of different backends,
allowing users to set these variables if they want to.</p></td> </tr><tr><td>allowRemoteModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of remote files, defaults to <code>true</code>.
If set to <code>false</code>, it will have the same effect as setting <code>local_files_only=true</code> when loading pipelines, models, tokenizers, processors, etc.</p></td> </tr><tr><td>remoteHost</td><td><code>string</code></td><td><p>Host URL to load models from. Defaults to the Hugging Face Hub.</p></td> </tr><tr><td>remotePathTemplate</td><td><code>string</code></td><td><p>Path template to fill in and append to <code>remoteHost</code> when loading models.</p></td> </tr><tr><td>allowLocalModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of local files, defaults to <code>false</code> if running in-browser, and <code>true</code> otherwise.
If set to <code>false</code>, it will skip the local file check and try to load the model from the remote host.</p></td> </tr><tr><td>localModelPath</td><td><code>string</code></td><td><p>Path to load local models from. Defaults to <code>/models/</code>.</p></td> </tr><tr><td>useFS</td><td><code>boolean</code></td><td><p>Whether to use the file system to load files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useBrowserCache</td><td><code>boolean</code></td><td><p>Whether to use Cache API to cache models. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useFSCache</td><td><code>boolean</code></td><td><p>Whether to use the file system to cache files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>cacheDir</td><td><code>string</code></td><td><p>The directory to use for caching files with the file system. By default, it is <code>./.cache</code>.</p></td> </tr><tr><td>useCustomCache</td><td><code>boolean</code></td><td><p>Whether to use a custom cache system (defined by <code>customCache</code>), defaults to <code>false</code>.</p></td> </tr><tr><td>customCache</td><td><code>Object</code></td><td><p>The custom cache to use. Defaults to <code>null</code>. Note: this must be an object which
implements the <code>match</code> and <code>put</code> functions of the Web Cache API. For more information, see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache">https://developer.mozilla.org/en-US/docs/Web/API/Cache</a></p></td></tr></tbody>`,tl,ll,nl,Le,il,Ce,sl;return E=new h({props:{title:"env",local:"env",headingTag:"h1"}}),L=new al({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDBodWdnaW5nZmFjZSUyRnRyYW5zZm9ybWVycyclM0IlMEFlbnYuYWxsb3dSZW1vdGVNb2RlbHMlMjAlM0QlMjBmYWxzZSUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/transformers&#x27;</span>;
env.<span class="hljs-property">allowRemoteModels</span> = <span class="hljs-literal">false</span>;`,wrap:!1}}),C=new al({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDBodWdnaW5nZmFjZSUyRnRyYW5zZm9ybWVycyclM0IlMEFlbnYubG9jYWxNb2RlbFBhdGglMjAlM0QlMjAnJTJGcGF0aCUyRnRvJTJGbG9jYWwlMkZtb2RlbHMlMkYnJTNC",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/transformers&#x27;</span>;
env.<span class="hljs-property">localModelPath</span> = <span class="hljs-string">&#x27;/path/to/local/models/&#x27;</span>;`,wrap:!1}}),S=new al({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDBodWdnaW5nZmFjZSUyRnRyYW5zZm9ybWVycyclM0IlMEFlbnYuY2FjaGVEaXIlMjAlM0QlMjAnJTJGcGF0aCUyRnRvJTJGY2FjaGUlMkZkaXJlY3RvcnklMkYnJTNC",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/transformers&#x27;</span>;
env.<span class="hljs-property">cacheDir</span> = <span class="hljs-string">&#x27;/path/to/cache/directory/&#x27;</span>;`,wrap:!1}}),y=new h({props:{title:"env.apis",local:"envapis",headingTag:"h2"}}),P=new h({props:{title:"env.env : <code> TransformersEnvironment </code>",local:"envenv--code-transformersenvironment-code",headingTag:"h2"}}),R=new h({props:{title:"env~IS_BROWSER_ENV",local:"envisbrowserenv",headingTag:"h2"}}),k=new h({props:{title:"env~IS_WEBWORKER_ENV",local:"enviswebworkerenv",headingTag:"h2"}}),G=new h({props:{title:"env~IS_WEB_CACHE_AVAILABLE",local:"enviswebcacheavailable",headingTag:"h2"}}),D=new h({props:{title:"env~IS_WEBGPU_AVAILABLE",local:"enviswebgpuavailable",headingTag:"h2"}}),X=new h({props:{title:"env~IS_WEBNN_AVAILABLE",local:"enviswebnnavailable",headingTag:"h2"}}),ne=new h({props:{title:"env~IS_PROCESS_AVAILABLE",local:"envisprocessavailable",headingTag:"h2"}}),oe=new h({props:{title:"env~IS_NODE_ENV",local:"envisnodeenv",headingTag:"h2"}}),fe=new h({props:{title:"env~IS_FS_AVAILABLE",local:"envisfsavailable",headingTag:"h2"}}),ce=new h({props:{title:"env~IS_PATH_AVAILABLE",local:"envispathavailable",headingTag:"h2"}}),Ae=new h({props:{title:"env~TransformersEnvironment : <code> Object </code>",local:"envtransformersenvironment--code-object-code",headingTag:"h2"}}),Le=new Fl({props:{source:"https://github.com/huggingface/transformers.js/blob/main/docs/source/api/env.md"}}),{c(){$=a("meta"),we=i(),Te=a("p"),Se=i(),A=a("a"),xe=i(),p(E.$$.fragment),We=i(),b=a("p"),b.textContent=dl,ye=i(),I=a("p"),I.innerHTML=rl,Be=i(),p(L.$$.fragment),He=i(),T=a("p"),T.innerHTML=pl,Me=i(),p(C.$$.fragment),Pe=i(),w=a("p"),w.innerHTML=fl,je=i(),p(S.$$.fragment),ge=i(),x=a("ul"),x.innerHTML=ml,Re=i(),Ve=a("hr"),Ne=i(),W=a("a"),Je=i(),p(y.$$.fragment),ke=i(),B=a("p"),B.textContent=vl,Oe=i(),H=a("p"),H.innerHTML=ul,Ue=i(),Fe=a("hr"),Ge=i(),M=a("a"),Ze=i(),p(P.$$.fragment),ze=i(),j=a("p"),j.innerHTML=cl,Ke=i(),De=a("hr"),Ye=i(),g=a("a"),Qe=i(),p(R.$$.fragment),qe=i(),V=a("p"),V.textContent=_l,Xe=i(),N=a("p"),N.innerHTML=hl,et=i(),tt=a("hr"),lt=i(),J=a("a"),nt=i(),p(k.$$.fragment),it=i(),O=a("p"),O.textContent=$l,st=i(),U=a("p"),U.innerHTML=Al,at=i(),ot=a("hr"),dt=i(),F=a("a"),rt=i(),p(G.$$.fragment),pt=i(),Z=a("p"),Z.textContent=El,ft=i(),z=a("p"),z.innerHTML=bl,mt=i(),vt=a("hr"),ut=i(),K=a("a"),ct=i(),p(D.$$.fragment),_t=i(),Y=a("p"),Y.textContent=Il,ht=i(),Q=a("p"),Q.innerHTML=Ll,$t=i(),At=a("hr"),Et=i(),q=a("a"),bt=i(),p(X.$$.fragment),It=i(),ee=a("p"),ee.textContent=Tl,Lt=i(),te=a("p"),te.innerHTML=Cl,Tt=i(),Ct=a("hr"),wt=i(),le=a("a"),St=i(),p(ne.$$.fragment),xt=i(),ie=a("p"),ie.textContent=wl,Wt=i(),se=a("p"),se.innerHTML=Sl,yt=i(),Bt=a("hr"),Ht=i(),ae=a("a"),Mt=i(),p(oe.$$.fragment),Pt=i(),de=a("p"),de.textContent=xl,jt=i(),re=a("p"),re.innerHTML=Wl,gt=i(),Rt=a("hr"),Vt=i(),pe=a("a"),Nt=i(),p(fe.$$.fragment),Jt=i(),me=a("p"),me.textContent=yl,kt=i(),ve=a("p"),ve.innerHTML=Bl,Ot=i(),Ut=a("hr"),Ft=i(),ue=a("a"),Gt=i(),p(ce.$$.fragment),Zt=i(),_e=a("p"),_e.textContent=Hl,zt=i(),he=a("p"),he.innerHTML=Ml,Kt=i(),Dt=a("hr"),Yt=i(),$e=a("a"),Qt=i(),p(Ae.$$.fragment),qt=i(),Ee=a("p"),Ee.textContent=Pl,Xt=i(),be=a("p"),be.innerHTML=jl,el=i(),Ie=a("table"),Ie.innerHTML=gl,tl=i(),ll=a("hr"),nl=i(),p(Le.$$.fragment),il=i(),Ce=a("p"),this.h()},l(e){const t=Ol("svelte-u9bgzb",document.head);$=o(t,"META",{name:!0,content:!0}),t.forEach(l),we=s(e),Te=o(e,"P",{}),_(Te).forEach(l),Se=s(e),A=o(e,"A",{id:!0,class:!0}),_(A).forEach(l),xe=s(e),f(E.$$.fragment,e),We=s(e),b=o(e,"P",{"data-svelte-h":!0}),d(b)!=="svelte-14jubvb"&&(b.textContent=dl),ye=s(e),I=o(e,"P",{"data-svelte-h":!0}),d(I)!=="svelte-ooim1v"&&(I.innerHTML=rl),Be=s(e),f(L.$$.fragment,e),He=s(e),T=o(e,"P",{"data-svelte-h":!0}),d(T)!=="svelte-1rbhmcc"&&(T.innerHTML=pl),Me=s(e),f(C.$$.fragment,e),Pe=s(e),w=o(e,"P",{"data-svelte-h":!0}),d(w)!=="svelte-13xd89q"&&(w.innerHTML=fl),je=s(e),f(S.$$.fragment,e),ge=s(e),x=o(e,"UL",{"data-svelte-h":!0}),d(x)!=="svelte-tgfd0f"&&(x.innerHTML=ml),Re=s(e),Ve=o(e,"HR",{}),Ne=s(e),W=o(e,"A",{id:!0,class:!0}),_(W).forEach(l),Je=s(e),f(y.$$.fragment,e),ke=s(e),B=o(e,"P",{"data-svelte-h":!0}),d(B)!=="svelte-3i2dk3"&&(B.textContent=vl),Oe=s(e),H=o(e,"P",{"data-svelte-h":!0}),d(H)!=="svelte-g17yg2"&&(H.innerHTML=ul),Ue=s(e),Fe=o(e,"HR",{}),Ge=s(e),M=o(e,"A",{id:!0,class:!0}),_(M).forEach(l),Ze=s(e),f(P.$$.fragment,e),ze=s(e),j=o(e,"P",{"data-svelte-h":!0}),d(j)!=="svelte-g17yg2"&&(j.innerHTML=cl),Ke=s(e),De=o(e,"HR",{}),Ye=s(e),g=o(e,"A",{id:!0,class:!0}),_(g).forEach(l),Qe=s(e),f(R.$$.fragment,e),qe=s(e),V=o(e,"P",{"data-svelte-h":!0}),d(V)!=="svelte-1u9p87f"&&(V.textContent=_l),Xe=s(e),N=o(e,"P",{"data-svelte-h":!0}),d(N)!=="svelte-136zjuj"&&(N.innerHTML=hl),et=s(e),tt=o(e,"HR",{}),lt=s(e),J=o(e,"A",{id:!0,class:!0}),_(J).forEach(l),nt=s(e),f(k.$$.fragment,e),it=s(e),O=o(e,"P",{"data-svelte-h":!0}),d(O)!=="svelte-1yxpxh"&&(O.textContent=$l),st=s(e),U=o(e,"P",{"data-svelte-h":!0}),d(U)!=="svelte-136zjuj"&&(U.innerHTML=Al),at=s(e),ot=o(e,"HR",{}),dt=s(e),F=o(e,"A",{id:!0,class:!0}),_(F).forEach(l),rt=s(e),f(G.$$.fragment,e),pt=s(e),Z=o(e,"P",{"data-svelte-h":!0}),d(Z)!=="svelte-10rfojt"&&(Z.textContent=El),ft=s(e),z=o(e,"P",{"data-svelte-h":!0}),d(z)!=="svelte-136zjuj"&&(z.innerHTML=bl),mt=s(e),vt=o(e,"HR",{}),ut=s(e),K=o(e,"A",{id:!0,class:!0}),_(K).forEach(l),ct=s(e),f(D.$$.fragment,e),_t=s(e),Y=o(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-1rg36ch"&&(Y.textContent=Il),ht=s(e),Q=o(e,"P",{"data-svelte-h":!0}),d(Q)!=="svelte-136zjuj"&&(Q.innerHTML=Ll),$t=s(e),At=o(e,"HR",{}),Et=s(e),q=o(e,"A",{id:!0,class:!0}),_(q).forEach(l),bt=s(e),f(X.$$.fragment,e),It=s(e),ee=o(e,"P",{"data-svelte-h":!0}),d(ee)!=="svelte-gsf7hp"&&(ee.textContent=Tl),Lt=s(e),te=o(e,"P",{"data-svelte-h":!0}),d(te)!=="svelte-136zjuj"&&(te.innerHTML=Cl),Tt=s(e),Ct=o(e,"HR",{}),wt=s(e),le=o(e,"A",{id:!0,class:!0}),_(le).forEach(l),St=s(e),f(ne.$$.fragment,e),xt=s(e),ie=o(e,"P",{"data-svelte-h":!0}),d(ie)!=="svelte-1bn7tmv"&&(ie.textContent=wl),Wt=s(e),se=o(e,"P",{"data-svelte-h":!0}),d(se)!=="svelte-136zjuj"&&(se.innerHTML=Sl),yt=s(e),Bt=o(e,"HR",{}),Ht=s(e),ae=o(e,"A",{id:!0,class:!0}),_(ae).forEach(l),Mt=s(e),f(oe.$$.fragment,e),Pt=s(e),de=o(e,"P",{"data-svelte-h":!0}),d(de)!=="svelte-4r0hfy"&&(de.textContent=xl),jt=s(e),re=o(e,"P",{"data-svelte-h":!0}),d(re)!=="svelte-136zjuj"&&(re.innerHTML=Wl),gt=s(e),Rt=o(e,"HR",{}),Vt=s(e),pe=o(e,"A",{id:!0,class:!0}),_(pe).forEach(l),Nt=s(e),f(fe.$$.fragment,e),Jt=s(e),me=o(e,"P",{"data-svelte-h":!0}),d(me)!=="svelte-13lrs7s"&&(me.textContent=yl),kt=s(e),ve=o(e,"P",{"data-svelte-h":!0}),d(ve)!=="svelte-136zjuj"&&(ve.innerHTML=Bl),Ot=s(e),Ut=o(e,"HR",{}),Ft=s(e),ue=o(e,"A",{id:!0,class:!0}),_(ue).forEach(l),Gt=s(e),f(ce.$$.fragment,e),Zt=s(e),_e=o(e,"P",{"data-svelte-h":!0}),d(_e)!=="svelte-1ncyrvw"&&(_e.textContent=Hl),zt=s(e),he=o(e,"P",{"data-svelte-h":!0}),d(he)!=="svelte-136zjuj"&&(he.innerHTML=Ml),Kt=s(e),Dt=o(e,"HR",{}),Yt=s(e),$e=o(e,"A",{id:!0,class:!0}),_($e).forEach(l),Qt=s(e),f(Ae.$$.fragment,e),qt=s(e),Ee=o(e,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-1ijjkph"&&(Ee.textContent=Pl),Xt=s(e),be=o(e,"P",{"data-svelte-h":!0}),d(be)!=="svelte-1k5edin"&&(be.innerHTML=jl),el=s(e),Ie=o(e,"TABLE",{"data-svelte-h":!0}),d(Ie)!=="svelte-1tq63gg"&&(Ie.innerHTML=gl),tl=s(e),ll=o(e,"HR",{}),nl=s(e),f(Le.$$.fragment,e),il=s(e),Ce=o(e,"P",{}),_(Ce).forEach(l),this.h()},h(){r($,"name","hf:doc:metadata"),r($,"content",Zl),r(A,"id","module_env"),r(A,"class","group"),r(W,"id","module_env.apis"),r(W,"class","group"),r(M,"id","module_env.env"),r(M,"class","group"),r(g,"id","module_env..IS_BROWSER_ENV"),r(g,"class","group"),r(J,"id","module_env..IS_WEBWORKER_ENV"),r(J,"class","group"),r(F,"id","module_env..IS_WEB_CACHE_AVAILABLE"),r(F,"class","group"),r(K,"id","module_env..IS_WEBGPU_AVAILABLE"),r(K,"class","group"),r(q,"id","module_env..IS_WEBNN_AVAILABLE"),r(q,"class","group"),r(le,"id","module_env..IS_PROCESS_AVAILABLE"),r(le,"class","group"),r(ae,"id","module_env..IS_NODE_ENV"),r(ae,"class","group"),r(pe,"id","module_env..IS_FS_AVAILABLE"),r(pe,"class","group"),r(ue,"id","module_env..IS_PATH_AVAILABLE"),r(ue,"class","group"),r($e,"id","module_env..TransformersEnvironment"),r($e,"class","group")},m(e,t){Ul(document.head,$),n(e,we,t),n(e,Te,t),n(e,Se,t),n(e,A,t),n(e,xe,t),m(E,e,t),n(e,We,t),n(e,b,t),n(e,ye,t),n(e,I,t),n(e,Be,t),m(L,e,t),n(e,He,t),n(e,T,t),n(e,Me,t),m(C,e,t),n(e,Pe,t),n(e,w,t),n(e,je,t),m(S,e,t),n(e,ge,t),n(e,x,t),n(e,Re,t),n(e,Ve,t),n(e,Ne,t),n(e,W,t),n(e,Je,t),m(y,e,t),n(e,ke,t),n(e,B,t),n(e,Oe,t),n(e,H,t),n(e,Ue,t),n(e,Fe,t),n(e,Ge,t),n(e,M,t),n(e,Ze,t),m(P,e,t),n(e,ze,t),n(e,j,t),n(e,Ke,t),n(e,De,t),n(e,Ye,t),n(e,g,t),n(e,Qe,t),m(R,e,t),n(e,qe,t),n(e,V,t),n(e,Xe,t),n(e,N,t),n(e,et,t),n(e,tt,t),n(e,lt,t),n(e,J,t),n(e,nt,t),m(k,e,t),n(e,it,t),n(e,O,t),n(e,st,t),n(e,U,t),n(e,at,t),n(e,ot,t),n(e,dt,t),n(e,F,t),n(e,rt,t),m(G,e,t),n(e,pt,t),n(e,Z,t),n(e,ft,t),n(e,z,t),n(e,mt,t),n(e,vt,t),n(e,ut,t),n(e,K,t),n(e,ct,t),m(D,e,t),n(e,_t,t),n(e,Y,t),n(e,ht,t),n(e,Q,t),n(e,$t,t),n(e,At,t),n(e,Et,t),n(e,q,t),n(e,bt,t),m(X,e,t),n(e,It,t),n(e,ee,t),n(e,Lt,t),n(e,te,t),n(e,Tt,t),n(e,Ct,t),n(e,wt,t),n(e,le,t),n(e,St,t),m(ne,e,t),n(e,xt,t),n(e,ie,t),n(e,Wt,t),n(e,se,t),n(e,yt,t),n(e,Bt,t),n(e,Ht,t),n(e,ae,t),n(e,Mt,t),m(oe,e,t),n(e,Pt,t),n(e,de,t),n(e,jt,t),n(e,re,t),n(e,gt,t),n(e,Rt,t),n(e,Vt,t),n(e,pe,t),n(e,Nt,t),m(fe,e,t),n(e,Jt,t),n(e,me,t),n(e,kt,t),n(e,ve,t),n(e,Ot,t),n(e,Ut,t),n(e,Ft,t),n(e,ue,t),n(e,Gt,t),m(ce,e,t),n(e,Zt,t),n(e,_e,t),n(e,zt,t),n(e,he,t),n(e,Kt,t),n(e,Dt,t),n(e,Yt,t),n(e,$e,t),n(e,Qt,t),m(Ae,e,t),n(e,qt,t),n(e,Ee,t),n(e,Xt,t),n(e,be,t),n(e,el,t),n(e,Ie,t),n(e,tl,t),n(e,ll,t),n(e,nl,t),m(Le,e,t),n(e,il,t),n(e,Ce,t),sl=!0},p:Vl,i(e){sl||(v(E.$$.fragment,e),v(L.$$.fragment,e),v(C.$$.fragment,e),v(S.$$.fragment,e),v(y.$$.fragment,e),v(P.$$.fragment,e),v(R.$$.fragment,e),v(k.$$.fragment,e),v(G.$$.fragment,e),v(D.$$.fragment,e),v(X.$$.fragment,e),v(ne.$$.fragment,e),v(oe.$$.fragment,e),v(fe.$$.fragment,e),v(ce.$$.fragment,e),v(Ae.$$.fragment,e),v(Le.$$.fragment,e),sl=!0)},o(e){u(E.$$.fragment,e),u(L.$$.fragment,e),u(C.$$.fragment,e),u(S.$$.fragment,e),u(y.$$.fragment,e),u(P.$$.fragment,e),u(R.$$.fragment,e),u(k.$$.fragment,e),u(G.$$.fragment,e),u(D.$$.fragment,e),u(X.$$.fragment,e),u(ne.$$.fragment,e),u(oe.$$.fragment,e),u(fe.$$.fragment,e),u(ce.$$.fragment,e),u(Ae.$$.fragment,e),u(Le.$$.fragment,e),sl=!1},d(e){e&&(l(we),l(Te),l(Se),l(A),l(xe),l(We),l(b),l(ye),l(I),l(Be),l(He),l(T),l(Me),l(Pe),l(w),l(je),l(ge),l(x),l(Re),l(Ve),l(Ne),l(W),l(Je),l(ke),l(B),l(Oe),l(H),l(Ue),l(Fe),l(Ge),l(M),l(Ze),l(ze),l(j),l(Ke),l(De),l(Ye),l(g),l(Qe),l(qe),l(V),l(Xe),l(N),l(et),l(tt),l(lt),l(J),l(nt),l(it),l(O),l(st),l(U),l(at),l(ot),l(dt),l(F),l(rt),l(pt),l(Z),l(ft),l(z),l(mt),l(vt),l(ut),l(K),l(ct),l(_t),l(Y),l(ht),l(Q),l($t),l(At),l(Et),l(q),l(bt),l(It),l(ee),l(Lt),l(te),l(Tt),l(Ct),l(wt),l(le),l(St),l(xt),l(ie),l(Wt),l(se),l(yt),l(Bt),l(Ht),l(ae),l(Mt),l(Pt),l(de),l(jt),l(re),l(gt),l(Rt),l(Vt),l(pe),l(Nt),l(Jt),l(me),l(kt),l(ve),l(Ot),l(Ut),l(Ft),l(ue),l(Gt),l(Zt),l(_e),l(zt),l(he),l(Kt),l(Dt),l(Yt),l($e),l(Qt),l(qt),l(Ee),l(Xt),l(be),l(el),l(Ie),l(tl),l(ll),l(nl),l(il),l(Ce)),l($),c(E,e),c(L,e),c(C,e),c(S,e),c(y,e),c(P,e),c(R,e),c(k,e),c(G,e),c(D,e),c(X,e),c(ne,e),c(oe,e),c(fe,e),c(ce,e),c(Ae,e),c(Le,e)}}}const Zl='{"title":"env","local":"env","sections":[{"title":"env.apis","local":"envapis","sections":[],"depth":2},{"title":"env.env : <code> TransformersEnvironment </code>","local":"envenv--code-transformersenvironment-code","sections":[],"depth":2},{"title":"env~IS_BROWSER_ENV","local":"envisbrowserenv","sections":[],"depth":2},{"title":"env~IS_WEBWORKER_ENV","local":"enviswebworkerenv","sections":[],"depth":2},{"title":"env~IS_WEB_CACHE_AVAILABLE","local":"enviswebcacheavailable","sections":[],"depth":2},{"title":"env~IS_WEBGPU_AVAILABLE","local":"enviswebgpuavailable","sections":[],"depth":2},{"title":"env~IS_WEBNN_AVAILABLE","local":"enviswebnnavailable","sections":[],"depth":2},{"title":"env~IS_PROCESS_AVAILABLE","local":"envisprocessavailable","sections":[],"depth":2},{"title":"env~IS_NODE_ENV","local":"envisnodeenv","sections":[],"depth":2},{"title":"env~IS_FS_AVAILABLE","local":"envisfsavailable","sections":[],"depth":2},{"title":"env~IS_PATH_AVAILABLE","local":"envispathavailable","sections":[],"depth":2},{"title":"env~TransformersEnvironment : <code> Object </code>","local":"envtransformersenvironment--code-object-code","sections":[],"depth":2}],"depth":1}';function zl(ol){return Nl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ql extends Jl{constructor($){super(),kl(this,$,zl,Gl,Rl,{})}}export{ql as component};
