import{s as Ci,n as $i,o as Ti}from"../chunks/scheduler.0219f8bd.js";import{S as bi,i as Li,g as a,s as n,r as g,A as xi,h as o,f as i,c as l,j as d,u as c,x as s,k as p,y as vi,a as r,v as u,d as m,t as _,w as f}from"../chunks/index.f61edf3b.js";import{H as h,E as wi}from"../chunks/EditOnGithub.48fa589f.js";function Hi(Jt){let C,$e,he,Te,$,be,T,Le,b,Nt='<li><a href="#module_generation/stopping_criteria">generation/stopping_criteria</a><ul><li><a href="#module_generation/stopping_criteria.StoppingCriteria">.StoppingCriteria</a><ul><li><a href="#module_generation/stopping_criteria.StoppingCriteria+_call"><code>._call(input_ids, scores)</code></a> ⇒ <code>Array.&lt;boolean&gt;</code></li></ul></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList">.StoppingCriteriaList</a><ul><li><a href="#new_module_generation/stopping_criteria.StoppingCriteriaList_new"><code>new StoppingCriteriaList()</code></a></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList+push"><code>.push(item)</code></a></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList+extend"><code>.extend(items)</code></a></li></ul></li> <li><a href="#module_generation/stopping_criteria.MaxLengthCriteria">.MaxLengthCriteria</a><ul><li><a href="#new_module_generation/stopping_criteria.MaxLengthCriteria_new"><code>new MaxLengthCriteria(max_length, [max_position_embeddings])</code></a></li></ul></li> <li><a href="#module_generation/stopping_criteria.EosTokenCriteria">.EosTokenCriteria</a><ul><li><a href="#new_module_generation/stopping_criteria.EosTokenCriteria_new"><code>new EosTokenCriteria(eos_token_id)</code></a></li> <li><a href="#module_generation/stopping_criteria.EosTokenCriteria+_call"><code>._call(input_ids, scores)</code></a> ⇒ <code>Array.&lt;boolean&gt;</code></li></ul></li> <li><a href="#module_generation/stopping_criteria.InterruptableStoppingCriteria">.InterruptableStoppingCriteria</a></li></ul></li>',xe,ve,we,L,He,x,Me,v,Qt="Abstract base class for all stopping criteria that can be applied during generation.",ye,w,Vt='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',ke,Se,Ee,H,Ae,M,Pe,y,Wt='<strong>Kind</strong>: instance method of <a href="#module_generation/stopping_criteria.StoppingCriteria"><code>StoppingCriteria</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;boolean&gt;</code> - A list of booleans indicating whether each sequence should be stopped.',Re,k,Xt=`<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td><td><p>(<code>number[][]</code> of shape <code>(batch_size, sequence_length)</code>):
Indices of input sequence tokens in the vocabulary.</p></td> </tr><tr><td>scores</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td><td><p>scores (<code>number[][]</code> of shape <code>(batch_size, config.vocab_size)</code>):
Prediction scores of a language modeling head. These can be scores for each vocabulary token before SoftMax
or scores for each vocabulary token after SoftMax.</p></td></tr></tbody>`,qe,Ke,je,S,Be,E,De,A,Yt='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',Ie,P,Zt='<li><a href="#module_generation/stopping_criteria.StoppingCriteriaList">.StoppingCriteriaList</a><ul><li><a href="#new_module_generation/stopping_criteria.StoppingCriteriaList_new"><code>new StoppingCriteriaList()</code></a></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList+push"><code>.push(item)</code></a></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList+extend"><code>.extend(items)</code></a></li></ul></li>',ze,Ue,Oe,R,Ge,q,Fe,K,ei="Constructs a new instance of <code>StoppingCriteriaList</code>.",Je,Ne,Qe,j,Ve,B,We,D,ti="Adds a new stopping criterion to the list.",Xe,I,ii='<strong>Kind</strong>: instance method of <a href="#module_generation/stopping_criteria.StoppingCriteriaList"><code>StoppingCriteriaList</code></a>',Ye,z,ri="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>item</td><td><code>StoppingCriteria</code></td><td><p>The stopping criterion to add.</p></td></tr></tbody>",Ze,et,tt,U,it,O,rt,G,ni="Adds multiple stopping criteria to the list.",nt,F,li='<strong>Kind</strong>: instance method of <a href="#module_generation/stopping_criteria.StoppingCriteriaList"><code>StoppingCriteriaList</code></a>',lt,J,ai="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>items</td><td><code>StoppingCriteria</code> | <code>StoppingCriteriaList</code> | <code>Array&lt;StoppingCriteria&gt;</code></td><td><p>The stopping criteria to add.</p></td></tr></tbody>",at,ot,pt,N,st,Q,dt,V,oi=`This class can be used to stop generation whenever the full generated number of tokens exceeds <code>max_length</code>.
Keep in mind for decoder-only type of transformers, this will include the initial prompted tokens.`,gt,W,pi='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',ct,ut,mt,X,_t,Y,ft,Z,si="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>max_length</td><td><code>number</code></td><td></td><td><p>The maximum length that the output sequence can have in number of tokens.</p></td> </tr><tr><td>[max_position_embeddings]</td><td><code>number</code></td><td><code></code></td><td><p>The maximum model length, as defined by the model&#39;s <code>config.max_position_embeddings</code> attribute.</p></td></tr></tbody>",ht,Ct,$t,ee,Tt,te,bt,ie,di=`This class can be used to stop generation whenever the “end-of-sequence” token is generated.
By default, it uses the <code>model.generation_config.eos_token_id</code>.`,Lt,re,gi='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',xt,ne,ci='<li><a href="#module_generation/stopping_criteria.EosTokenCriteria">.EosTokenCriteria</a><ul><li><a href="#new_module_generation/stopping_criteria.EosTokenCriteria_new"><code>new EosTokenCriteria(eos_token_id)</code></a></li> <li><a href="#module_generation/stopping_criteria.EosTokenCriteria+_call"><code>._call(input_ids, scores)</code></a> ⇒ <code>Array.&lt;boolean&gt;</code></li></ul></li>',vt,wt,Ht,le,Mt,ae,yt,oe,ui=`<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>eos_token_id</td><td><code>number</code> | <code>Array&lt;number&gt;</code></td><td><p>The id of the <em>end-of-sequence</em> token.
Optionally, use a list to set multiple <em>end-of-sequence</em> tokens.</p></td></tr></tbody>`,kt,St,Et,pe,At,se,Pt,de,mi='<strong>Kind</strong>: instance method of <a href="#module_generation/stopping_criteria.EosTokenCriteria"><code>EosTokenCriteria</code></a>',Rt,ge,_i="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td> </tr><tr><td>scores</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td></tr></tbody>",qt,Kt,jt,ce,Bt,ue,Dt,me,fi="This class can be used to stop generation whenever the user interrupts the process.",It,_e,hi='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',zt,Ut,Ot,fe,Gt,Ce,Ft;return T=new h({props:{title:"generation/stopping_criteria",local:"generationstoppingcriteria",headingTag:"h1"}}),x=new h({props:{title:"generation/stopping_criteria.StoppingCriteria",local:"generationstoppingcriteriastoppingcriteria",headingTag:"h2"}}),M=new h({props:{title:"stoppingCriteria._call(input_ids, scores) ⇒ <code> Array. < boolean > </code>",local:"stoppingcriteriacallinputids-scores--code-array--boolean--code",headingTag:"h3"}}),E=new h({props:{title:"generation/stopping_criteria.StoppingCriteriaList",local:"generationstoppingcriteriastoppingcriterialist",headingTag:"h2"}}),q=new h({props:{title:"new StoppingCriteriaList()",local:"new-stoppingcriterialist",headingTag:"h3"}}),B=new h({props:{title:"stoppingCriteriaList.push(item)",local:"stoppingcriterialistpushitem",headingTag:"h3"}}),O=new h({props:{title:"stoppingCriteriaList.extend(items)",local:"stoppingcriterialistextenditems",headingTag:"h3"}}),Q=new h({props:{title:"generation/stopping_criteria.MaxLengthCriteria",local:"generationstoppingcriteriamaxlengthcriteria",headingTag:"h2"}}),Y=new h({props:{title:"new MaxLengthCriteria(max_length, [max_position_embeddings])",local:"new-maxlengthcriteriamaxlength-maxpositionembeddings",headingTag:"h3"}}),te=new h({props:{title:"generation/stopping_criteria.EosTokenCriteria",local:"generationstoppingcriteriaeostokencriteria",headingTag:"h2"}}),ae=new h({props:{title:"new EosTokenCriteria(eos_token_id)",local:"new-eostokencriteriaeostokenid",headingTag:"h3"}}),se=new h({props:{title:"eosTokenCriteria._call(input_ids, scores) ⇒ <code> Array. < boolean > </code>",local:"eostokencriteriacallinputids-scores--code-array--boolean--code",headingTag:"h3"}}),ue=new h({props:{title:"generation/stopping_criteria.InterruptableStoppingCriteria",local:"generationstoppingcriteriainterruptablestoppingcriteria",headingTag:"h2"}}),fe=new wi({props:{source:"https://github.com/huggingface/transformers.js/blob/main/docs/source/api/generation/stopping_criteria.md"}}),{c(){C=a("meta"),$e=n(),he=a("p"),Te=n(),$=a("a"),be=n(),g(T.$$.fragment),Le=n(),b=a("ul"),b.innerHTML=Nt,xe=n(),ve=a("hr"),we=n(),L=a("a"),He=n(),g(x.$$.fragment),Me=n(),v=a("p"),v.textContent=Qt,ye=n(),w=a("p"),w.innerHTML=Vt,ke=n(),Se=a("hr"),Ee=n(),H=a("a"),Ae=n(),g(M.$$.fragment),Pe=n(),y=a("p"),y.innerHTML=Wt,Re=n(),k=a("table"),k.innerHTML=Xt,qe=n(),Ke=a("hr"),je=n(),S=a("a"),Be=n(),g(E.$$.fragment),De=n(),A=a("p"),A.innerHTML=Yt,Ie=n(),P=a("ul"),P.innerHTML=Zt,ze=n(),Ue=a("hr"),Oe=n(),R=a("a"),Ge=n(),g(q.$$.fragment),Fe=n(),K=a("p"),K.innerHTML=ei,Je=n(),Ne=a("hr"),Qe=n(),j=a("a"),Ve=n(),g(B.$$.fragment),We=n(),D=a("p"),D.textContent=ti,Xe=n(),I=a("p"),I.innerHTML=ii,Ye=n(),z=a("table"),z.innerHTML=ri,Ze=n(),et=a("hr"),tt=n(),U=a("a"),it=n(),g(O.$$.fragment),rt=n(),G=a("p"),G.textContent=ni,nt=n(),F=a("p"),F.innerHTML=li,lt=n(),J=a("table"),J.innerHTML=ai,at=n(),ot=a("hr"),pt=n(),N=a("a"),st=n(),g(Q.$$.fragment),dt=n(),V=a("p"),V.innerHTML=oi,gt=n(),W=a("p"),W.innerHTML=pi,ct=n(),ut=a("hr"),mt=n(),X=a("a"),_t=n(),g(Y.$$.fragment),ft=n(),Z=a("table"),Z.innerHTML=si,ht=n(),Ct=a("hr"),$t=n(),ee=a("a"),Tt=n(),g(te.$$.fragment),bt=n(),ie=a("p"),ie.innerHTML=di,Lt=n(),re=a("p"),re.innerHTML=gi,xt=n(),ne=a("ul"),ne.innerHTML=ci,vt=n(),wt=a("hr"),Ht=n(),le=a("a"),Mt=n(),g(ae.$$.fragment),yt=n(),oe=a("table"),oe.innerHTML=ui,kt=n(),St=a("hr"),Et=n(),pe=a("a"),At=n(),g(se.$$.fragment),Pt=n(),de=a("p"),de.innerHTML=mi,Rt=n(),ge=a("table"),ge.innerHTML=_i,qt=n(),Kt=a("hr"),jt=n(),ce=a("a"),Bt=n(),g(ue.$$.fragment),Dt=n(),me=a("p"),me.textContent=fi,It=n(),_e=a("p"),_e.innerHTML=hi,zt=n(),Ut=a("hr"),Ot=n(),g(fe.$$.fragment),Gt=n(),Ce=a("p"),this.h()},l(e){const t=xi("svelte-u9bgzb",document.head);C=o(t,"META",{name:!0,content:!0}),t.forEach(i),$e=l(e),he=o(e,"P",{}),d(he).forEach(i),Te=l(e),$=o(e,"A",{id:!0,class:!0}),d($).forEach(i),be=l(e),c(T.$$.fragment,e),Le=l(e),b=o(e,"UL",{"data-svelte-h":!0}),s(b)!=="svelte-1r90rsb"&&(b.innerHTML=Nt),xe=l(e),ve=o(e,"HR",{}),we=l(e),L=o(e,"A",{id:!0,class:!0}),d(L).forEach(i),He=l(e),c(x.$$.fragment,e),Me=l(e),v=o(e,"P",{"data-svelte-h":!0}),s(v)!=="svelte-rfvu1k"&&(v.textContent=Qt),ye=l(e),w=o(e,"P",{"data-svelte-h":!0}),s(w)!=="svelte-13jmxto"&&(w.innerHTML=Vt),ke=l(e),Se=o(e,"HR",{}),Ee=l(e),H=o(e,"A",{id:!0,class:!0}),d(H).forEach(i),Ae=l(e),c(M.$$.fragment,e),Pe=l(e),y=o(e,"P",{"data-svelte-h":!0}),s(y)!=="svelte-100pgbh"&&(y.innerHTML=Wt),Re=l(e),k=o(e,"TABLE",{"data-svelte-h":!0}),s(k)!=="svelte-4nxdff"&&(k.innerHTML=Xt),qe=l(e),Ke=o(e,"HR",{}),je=l(e),S=o(e,"A",{id:!0,class:!0}),d(S).forEach(i),Be=l(e),c(E.$$.fragment,e),De=l(e),A=o(e,"P",{"data-svelte-h":!0}),s(A)!=="svelte-13jmxto"&&(A.innerHTML=Yt),Ie=l(e),P=o(e,"UL",{"data-svelte-h":!0}),s(P)!=="svelte-g0k4ic"&&(P.innerHTML=Zt),ze=l(e),Ue=o(e,"HR",{}),Oe=l(e),R=o(e,"A",{id:!0,class:!0}),d(R).forEach(i),Ge=l(e),c(q.$$.fragment,e),Fe=l(e),K=o(e,"P",{"data-svelte-h":!0}),s(K)!=="svelte-1i7dv1d"&&(K.innerHTML=ei),Je=l(e),Ne=o(e,"HR",{}),Qe=l(e),j=o(e,"A",{id:!0,class:!0}),d(j).forEach(i),Ve=l(e),c(B.$$.fragment,e),We=l(e),D=o(e,"P",{"data-svelte-h":!0}),s(D)!=="svelte-xqbggw"&&(D.textContent=ti),Xe=l(e),I=o(e,"P",{"data-svelte-h":!0}),s(I)!=="svelte-387bux"&&(I.innerHTML=ii),Ye=l(e),z=o(e,"TABLE",{"data-svelte-h":!0}),s(z)!=="svelte-lqcak9"&&(z.innerHTML=ri),Ze=l(e),et=o(e,"HR",{}),tt=l(e),U=o(e,"A",{id:!0,class:!0}),d(U).forEach(i),it=l(e),c(O.$$.fragment,e),rt=l(e),G=o(e,"P",{"data-svelte-h":!0}),s(G)!=="svelte-1mxgm21"&&(G.textContent=ni),nt=l(e),F=o(e,"P",{"data-svelte-h":!0}),s(F)!=="svelte-387bux"&&(F.innerHTML=li),lt=l(e),J=o(e,"TABLE",{"data-svelte-h":!0}),s(J)!=="svelte-1kg13ks"&&(J.innerHTML=ai),at=l(e),ot=o(e,"HR",{}),pt=l(e),N=o(e,"A",{id:!0,class:!0}),d(N).forEach(i),st=l(e),c(Q.$$.fragment,e),dt=l(e),V=o(e,"P",{"data-svelte-h":!0}),s(V)!=="svelte-1p8jnme"&&(V.innerHTML=oi),gt=l(e),W=o(e,"P",{"data-svelte-h":!0}),s(W)!=="svelte-13jmxto"&&(W.innerHTML=pi),ct=l(e),ut=o(e,"HR",{}),mt=l(e),X=o(e,"A",{id:!0,class:!0}),d(X).forEach(i),_t=l(e),c(Y.$$.fragment,e),ft=l(e),Z=o(e,"TABLE",{"data-svelte-h":!0}),s(Z)!=="svelte-15weu8s"&&(Z.innerHTML=si),ht=l(e),Ct=o(e,"HR",{}),$t=l(e),ee=o(e,"A",{id:!0,class:!0}),d(ee).forEach(i),Tt=l(e),c(te.$$.fragment,e),bt=l(e),ie=o(e,"P",{"data-svelte-h":!0}),s(ie)!=="svelte-1t19wr8"&&(ie.innerHTML=di),Lt=l(e),re=o(e,"P",{"data-svelte-h":!0}),s(re)!=="svelte-13jmxto"&&(re.innerHTML=gi),xt=l(e),ne=o(e,"UL",{"data-svelte-h":!0}),s(ne)!=="svelte-1904jx5"&&(ne.innerHTML=ci),vt=l(e),wt=o(e,"HR",{}),Ht=l(e),le=o(e,"A",{id:!0,class:!0}),d(le).forEach(i),Mt=l(e),c(ae.$$.fragment,e),yt=l(e),oe=o(e,"TABLE",{"data-svelte-h":!0}),s(oe)!=="svelte-1m7wld8"&&(oe.innerHTML=ui),kt=l(e),St=o(e,"HR",{}),Et=l(e),pe=o(e,"A",{id:!0,class:!0}),d(pe).forEach(i),At=l(e),c(se.$$.fragment,e),Pt=l(e),de=o(e,"P",{"data-svelte-h":!0}),s(de)!=="svelte-11wlgah"&&(de.innerHTML=mi),Rt=l(e),ge=o(e,"TABLE",{"data-svelte-h":!0}),s(ge)!=="svelte-1oe6soa"&&(ge.innerHTML=_i),qt=l(e),Kt=o(e,"HR",{}),jt=l(e),ce=o(e,"A",{id:!0,class:!0}),d(ce).forEach(i),Bt=l(e),c(ue.$$.fragment,e),Dt=l(e),me=o(e,"P",{"data-svelte-h":!0}),s(me)!=="svelte-2y5vhd"&&(me.textContent=fi),It=l(e),_e=o(e,"P",{"data-svelte-h":!0}),s(_e)!=="svelte-13jmxto"&&(_e.innerHTML=hi),zt=l(e),Ut=o(e,"HR",{}),Ot=l(e),c(fe.$$.fragment,e),Gt=l(e),Ce=o(e,"P",{}),d(Ce).forEach(i),this.h()},h(){p(C,"name","hf:doc:metadata"),p(C,"content",Mi),p($,"id","module_generation/stopping_criteria"),p($,"class","group"),p(L,"id","module_generation/stopping_criteria.StoppingCriteria"),p(L,"class","group"),p(H,"id","module_generation/stopping_criteria.StoppingCriteria+_call"),p(H,"class","group"),p(S,"id","module_generation/stopping_criteria.StoppingCriteriaList"),p(S,"class","group"),p(R,"id","new_module_generation/stopping_criteria.StoppingCriteriaList_new"),p(R,"class","group"),p(j,"id","module_generation/stopping_criteria.StoppingCriteriaList+push"),p(j,"class","group"),p(U,"id","module_generation/stopping_criteria.StoppingCriteriaList+extend"),p(U,"class","group"),p(N,"id","module_generation/stopping_criteria.MaxLengthCriteria"),p(N,"class","group"),p(X,"id","new_module_generation/stopping_criteria.MaxLengthCriteria_new"),p(X,"class","group"),p(ee,"id","module_generation/stopping_criteria.EosTokenCriteria"),p(ee,"class","group"),p(le,"id","new_module_generation/stopping_criteria.EosTokenCriteria_new"),p(le,"class","group"),p(pe,"id","module_generation/stopping_criteria.EosTokenCriteria+_call"),p(pe,"class","group"),p(ce,"id","module_generation/stopping_criteria.InterruptableStoppingCriteria"),p(ce,"class","group")},m(e,t){vi(document.head,C),r(e,$e,t),r(e,he,t),r(e,Te,t),r(e,$,t),r(e,be,t),u(T,e,t),r(e,Le,t),r(e,b,t),r(e,xe,t),r(e,ve,t),r(e,we,t),r(e,L,t),r(e,He,t),u(x,e,t),r(e,Me,t),r(e,v,t),r(e,ye,t),r(e,w,t),r(e,ke,t),r(e,Se,t),r(e,Ee,t),r(e,H,t),r(e,Ae,t),u(M,e,t),r(e,Pe,t),r(e,y,t),r(e,Re,t),r(e,k,t),r(e,qe,t),r(e,Ke,t),r(e,je,t),r(e,S,t),r(e,Be,t),u(E,e,t),r(e,De,t),r(e,A,t),r(e,Ie,t),r(e,P,t),r(e,ze,t),r(e,Ue,t),r(e,Oe,t),r(e,R,t),r(e,Ge,t),u(q,e,t),r(e,Fe,t),r(e,K,t),r(e,Je,t),r(e,Ne,t),r(e,Qe,t),r(e,j,t),r(e,Ve,t),u(B,e,t),r(e,We,t),r(e,D,t),r(e,Xe,t),r(e,I,t),r(e,Ye,t),r(e,z,t),r(e,Ze,t),r(e,et,t),r(e,tt,t),r(e,U,t),r(e,it,t),u(O,e,t),r(e,rt,t),r(e,G,t),r(e,nt,t),r(e,F,t),r(e,lt,t),r(e,J,t),r(e,at,t),r(e,ot,t),r(e,pt,t),r(e,N,t),r(e,st,t),u(Q,e,t),r(e,dt,t),r(e,V,t),r(e,gt,t),r(e,W,t),r(e,ct,t),r(e,ut,t),r(e,mt,t),r(e,X,t),r(e,_t,t),u(Y,e,t),r(e,ft,t),r(e,Z,t),r(e,ht,t),r(e,Ct,t),r(e,$t,t),r(e,ee,t),r(e,Tt,t),u(te,e,t),r(e,bt,t),r(e,ie,t),r(e,Lt,t),r(e,re,t),r(e,xt,t),r(e,ne,t),r(e,vt,t),r(e,wt,t),r(e,Ht,t),r(e,le,t),r(e,Mt,t),u(ae,e,t),r(e,yt,t),r(e,oe,t),r(e,kt,t),r(e,St,t),r(e,Et,t),r(e,pe,t),r(e,At,t),u(se,e,t),r(e,Pt,t),r(e,de,t),r(e,Rt,t),r(e,ge,t),r(e,qt,t),r(e,Kt,t),r(e,jt,t),r(e,ce,t),r(e,Bt,t),u(ue,e,t),r(e,Dt,t),r(e,me,t),r(e,It,t),r(e,_e,t),r(e,zt,t),r(e,Ut,t),r(e,Ot,t),u(fe,e,t),r(e,Gt,t),r(e,Ce,t),Ft=!0},p:$i,i(e){Ft||(m(T.$$.fragment,e),m(x.$$.fragment,e),m(M.$$.fragment,e),m(E.$$.fragment,e),m(q.$$.fragment,e),m(B.$$.fragment,e),m(O.$$.fragment,e),m(Q.$$.fragment,e),m(Y.$$.fragment,e),m(te.$$.fragment,e),m(ae.$$.fragment,e),m(se.$$.fragment,e),m(ue.$$.fragment,e),m(fe.$$.fragment,e),Ft=!0)},o(e){_(T.$$.fragment,e),_(x.$$.fragment,e),_(M.$$.fragment,e),_(E.$$.fragment,e),_(q.$$.fragment,e),_(B.$$.fragment,e),_(O.$$.fragment,e),_(Q.$$.fragment,e),_(Y.$$.fragment,e),_(te.$$.fragment,e),_(ae.$$.fragment,e),_(se.$$.fragment,e),_(ue.$$.fragment,e),_(fe.$$.fragment,e),Ft=!1},d(e){e&&(i($e),i(he),i(Te),i($),i(be),i(Le),i(b),i(xe),i(ve),i(we),i(L),i(He),i(Me),i(v),i(ye),i(w),i(ke),i(Se),i(Ee),i(H),i(Ae),i(Pe),i(y),i(Re),i(k),i(qe),i(Ke),i(je),i(S),i(Be),i(De),i(A),i(Ie),i(P),i(ze),i(Ue),i(Oe),i(R),i(Ge),i(Fe),i(K),i(Je),i(Ne),i(Qe),i(j),i(Ve),i(We),i(D),i(Xe),i(I),i(Ye),i(z),i(Ze),i(et),i(tt),i(U),i(it),i(rt),i(G),i(nt),i(F),i(lt),i(J),i(at),i(ot),i(pt),i(N),i(st),i(dt),i(V),i(gt),i(W),i(ct),i(ut),i(mt),i(X),i(_t),i(ft),i(Z),i(ht),i(Ct),i($t),i(ee),i(Tt),i(bt),i(ie),i(Lt),i(re),i(xt),i(ne),i(vt),i(wt),i(Ht),i(le),i(Mt),i(yt),i(oe),i(kt),i(St),i(Et),i(pe),i(At),i(Pt),i(de),i(Rt),i(ge),i(qt),i(Kt),i(jt),i(ce),i(Bt),i(Dt),i(me),i(It),i(_e),i(zt),i(Ut),i(Ot),i(Gt),i(Ce)),i(C),f(T,e),f(x,e),f(M,e),f(E,e),f(q,e),f(B,e),f(O,e),f(Q,e),f(Y,e),f(te,e),f(ae,e),f(se,e),f(ue,e),f(fe,e)}}}const Mi='{"title":"generation/stopping_criteria","local":"generationstoppingcriteria","sections":[{"title":"generation/stopping_criteria.StoppingCriteria","local":"generationstoppingcriteriastoppingcriteria","sections":[{"title":"stoppingCriteria._call(input_ids, scores) ⇒ <code> Array. < boolean > </code>","local":"stoppingcriteriacallinputids-scores--code-array--boolean--code","sections":[],"depth":3}],"depth":2},{"title":"generation/stopping_criteria.StoppingCriteriaList","local":"generationstoppingcriteriastoppingcriterialist","sections":[{"title":"new StoppingCriteriaList()","local":"new-stoppingcriterialist","sections":[],"depth":3},{"title":"stoppingCriteriaList.push(item)","local":"stoppingcriterialistpushitem","sections":[],"depth":3},{"title":"stoppingCriteriaList.extend(items)","local":"stoppingcriterialistextenditems","sections":[],"depth":3}],"depth":2},{"title":"generation/stopping_criteria.MaxLengthCriteria","local":"generationstoppingcriteriamaxlengthcriteria","sections":[{"title":"new MaxLengthCriteria(max_length, [max_position_embeddings])","local":"new-maxlengthcriteriamaxlength-maxpositionembeddings","sections":[],"depth":3}],"depth":2},{"title":"generation/stopping_criteria.EosTokenCriteria","local":"generationstoppingcriteriaeostokencriteria","sections":[{"title":"new EosTokenCriteria(eos_token_id)","local":"new-eostokencriteriaeostokenid","sections":[],"depth":3},{"title":"eosTokenCriteria._call(input_ids, scores) ⇒ <code> Array. < boolean > </code>","local":"eostokencriteriacallinputids-scores--code-array--boolean--code","sections":[],"depth":3}],"depth":2},{"title":"generation/stopping_criteria.InterruptableStoppingCriteria","local":"generationstoppingcriteriainterruptablestoppingcriteria","sections":[],"depth":2}],"depth":1}';function yi(Jt){return Ti(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ai extends bi{constructor(C){super(),Li(this,C,yi,Hi,Ci,{})}}export{Ai as component};
